Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 287025 - gnome-extra/gnome-power-manager-2.27.92-r1 suspend/hibernation without consolekit
Summary: gnome-extra/gnome-power-manager-2.27.92-r1 suspend/hibernation without consol...
Status: RESOLVED UPSTREAM
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: x86 Linux
: Low enhancement (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: NeedPatch
Depends on:
Blocks: gnome2.28
  Show dependency tree
 
Reported: 2009-09-30 05:31 UTC by Pablo Cholaky
Modified: 2010-04-14 16:03 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pablo Cholaky 2009-09-30 05:31:36 UTC
Hi there...

I just updated gnome overlay and gnome-power-manager now is depending of consolekit... my question is... why!? Im just a single user of my computer, why should i install consolekit?? Thats maybe just fine for massive users and permissions. But not for me and mostly users...

Is working fine on old 2.27.92-r1, now is a dependence...

Thanks

Reproducible: Always

Steps to Reproduce:
1. emerge gnome-power-manager
2.
3.

Actual Results:  
!!! All ebuilds that could satisfy ">=sys-auth/consolekit-0.4" have been masked.
!!! One of the following masked packages is required to complete your request:
- sys-auth/consolekit-0.4.1 (masked by: package.mask)

Just masked for me.

Expected Results:  
working
Comment 1 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-09-30 05:57:25 UTC
ConsoleKit is necessary in the 2.27.* versions of g-p-m for hibernation/suspend support. It is purely a runtime dep; however, you get no hiberation/suspend w/o it.

You will either need to patch g-p-m yourself or wait till someone else who is interested in not using consolekit patches it instead.

FYI: USE=consolekit is default in desktop profiles now, so this is really a low-priority for gnome herd
Comment 2 Gilles Dartiguelongue gentoo-dev 2009-10-31 22:14:18 UTC
lowering priority since consolekit is far less evil that devicekit or policykit.
Comment 3 Stefan Struhs 2009-11-01 17:23:54 UTC
Even with consolekit there is no hibernate or suspend not even as menu entry.

Details here:
http://forums.gentoo.org/viewtopic-p-6038723.html#6038723

Okay this is with gnome-extra/gnome-power-manager-2.28.1, but even in gnome-extra/gnome-power-manager-2.27.92-r1 there are the same problems.
Comment 4 Gilles Dartiguelongue gentoo-dev 2009-11-01 17:31:28 UTC
(In reply to comment #3)
> Even with consolekit there is no hibernate or suspend not even as menu entry.
> 
> Details here:
> http://forums.gentoo.org/viewtopic-p-6038723.html#6038723
> 
> Okay this is with gnome-extra/gnome-power-manager-2.28.1, but even in
> gnome-extra/gnome-power-manager-2.27.92-r1 there are the same problems.
> 

Please don't mixup things with bug #291273, in which you'll see some changes are upstream changes and won't be reverted. It will be part of the migration guide though.
Comment 5 Pablo Cholaky 2009-11-01 17:36:53 UTC
But... suspend is really easy... just echo "mem" > /sys/power/state

So... why consolekit?
Comment 6 Stefan Struhs 2009-11-01 20:31:07 UTC
what I am trying to say is, that even adding consolekit does not solve any problem with gpm...
Comment 7 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-12-27 02:58:14 UTC
I'm inclined to close this RESOLVED UPSTREAM unless some patches appear.
Comment 8 Gilles Dartiguelongue gentoo-dev 2009-12-27 10:51:25 UTC
agreed, please take note this should probably end up in the migration guide as well
Comment 9 Pacho Ramos gentoo-dev 2010-04-14 16:03:16 UTC
(In reply to comment #8)
> agreed, please take note this should probably end up in the migration guide as
> well
> 

Included in migration guide, closing then